%if 0%{?fedora}
%global with_python3 1
%endif

%global modname zope.datetime

Summary: Zope datetime utilities
Name: python-zope-datetime
Version: 4.1.0
Release: 6%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.datetime

BuildRequires: python2-devel
BuildRequires: python-setuptools

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%endif

%description
This package provides commonly used date and time related utility functions.

%package -n python2-zope-datetime
Summary: Zope datetime utilities
%{?python_provide:%python_provide python2-zope-datetime}
Requires:       python2

%description -n python2-zope-datetime
This package provides commonly used date and time related utility functions.

%if 0%{?with_python3}
%package -n python3-zope-datetime
Summary: Zope datetime utilities
%{?python_provide:%python_provide python3-zope-datetime}
Requires:       python3

%description -n python3-zope-datetime
This package provides commonly used date and time related utility functions.
%endif

%prep
%setup -q -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python2-zope-datetime
%doc CHANGES.rst README.rst COPYRIGHT.txt
%license LICENSE.txt
# Co-own %%{python2_sitelib}/zope/
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope/datetime/
%exclude %{python2_sitelib}/zope/datetime/tests/
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3}
%files -n python3-zope-datetime
%doc CHANGES.rst README.rst COPYRIGHT.txt
%license LICENSE.txt
# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/datetime/
%exclude %{python3_sitelib}/zope/datetime/tests/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Apr 05 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-2
- Python3 subpackage.
- Modernized python macros.

* Tue Apr 05 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- Latest upstream.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Mar 25 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.4.1-1
- Update to 3.4.1
- Drop BR python-zope-testing

* Sat Sep 18 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.0-3
- Co-own %%{python_sitelib}/zope/

* Sat Sep 18 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.0-2
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up
- Exlude the tests from installation
- Add a small patch and %%check section and run tests
- BR: python-zope-testing added for tests

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.4.0-1
- Initial packaging
